[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.DockOver

Position DockRect, invoke OnDockOver (via DoDockOver)

## Declaration

Source position: controls.pp line 1789

`protected procedure TWinControl.DockOver(`
`Source: TDragDockObject;`
`X: Integer;`
`Y: Integer;`
`State: TDragState;`
`var Accept: Boolean`
`); virtual;`

## Description

Called on dragmanager messages dmEnter/Leave/Move, to get the DockRect to show.

Accept has been set to True, to signal acceptance.

Everything can be overridden by the OnDockOver handler, if installed.

## See also

TControl.PositionDockRect |  | Get the DockRect for an drop.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.